#include <stdio.h>

/* Ideja mi je bila da program ispisuje razmake dok j ne bude vece od n-i. 
Kada bude vece od n-i da ispisuje *A, a kada j bude jednako n da ispisuje *. */

int main(){
	int n, i, j;
	scanf("%d", &n);
	if (n <= 0){
		printf("-1");
		return 1;
	}

	for (i = 1; i <= n; i++){
		for (j = 1; j <= n; j++){
			if (j = n)
				printf("*");
			if (j <= n-i)
				printf(" ");
			else
				printf("*A");
		}
		printf("\n");
	}

	return 0;
}
